Package com.smartgwt.client.types

# Enum ResizeKnobPoint

java.lang.Object
java.lang.Enum<ResizeKnobPoint>
com.smartgwt.client.types.ResizeKnobPoint

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ResizeKnobPoint>`, `Constable`

public enum ResizeKnobPoint extends Enum<ResizeKnobPoint> implements ValueEnum
Specifies the position of a resize knob with respect to its draw item.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `B`
  Centered on the bottom edge
  `BL`
  Bottom Left corner
  `BR`
  Bottom Right corner
  `L`
  Centered on thie right edge
  `R`
  Centered on the left edge
  `T`
  Centered on the top edge
  `TL`
  Top Left corner
  `TR`
  Top Right corner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ResizeKnobPoint`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ResizeKnobPoint[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TL

    public static final ResizeKnobPoint TL
    Top Left corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "TL".

  - ### TR

    public static final ResizeKnobPoint TR
    Top Right corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "TR".

  - ### BL

    public static final ResizeKnobPoint BL
    Bottom Left corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "BL".

  - ### BR

    public static final ResizeKnobPoint BR
    Bottom Right corner

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "BR".

  - ### T

    public static final ResizeKnobPoint T
    Centered on the top edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "T".

  - ### B

    public static final ResizeKnobPoint B
    Centered on the bottom edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "B".

  - ### R

    public static final ResizeKnobPoint R
    Centered on the left edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "R".

  - ### L

    public static final ResizeKnobPoint L
    Centered on thie right edge

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "L".

- ## Method Details

  - ### values

    public static ResizeKnobPoint[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ResizeKnobPoint valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`